public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/ytfzf/
Date: Tue, 12 Sep 2023 18:25:26 +0000 (UTC)	[thread overview]
Message-ID: <1694543107.1ba10d93746ee934fc5bd0a5089e87d897d77eee.ionen@gentoo> (raw)

commit:     1ba10d93746ee934fc5bd0a5089e87d897d77eee
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 12 18:23:30 2023 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Tue Sep 12 18:25:07 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ba10d93

net-misc/ytfzf: add 2.6.1

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 net-misc/ytfzf/Manifest           |  1 +
 net-misc/ytfzf/ytfzf-2.6.1.ebuild | 59 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/net-misc/ytfzf/Manifest b/net-misc/ytfzf/Manifest
index 5c8433ed91aa..e328159c7298 100644
--- a/net-misc/ytfzf/Manifest
+++ b/net-misc/ytfzf/Manifest
@@ -1 +1,2 @@
 DIST ytfzf-2.6.0.tar.gz 3277853 BLAKE2B f99de6c473ee728d42290a647df9e0404dea92854203f306401d916e920814517dee3ddde8c8ff06cb7ff29f5a9b8f438867a1d9bc02aa6e208d030ad8b786a7 SHA512 fb9a1bd161a735a9c464948d6ba3664982eadd25456d5d565c57e478574949324dbf556620fb837c00bc4946c65336ec895f7c59e1169631effadf70085773c4
+DIST ytfzf-2.6.1.tar.gz 3278989 BLAKE2B 85ad83d9880e3e9e02a9a22b9f15e9ce88fafb1466f1694bd05766b24ac4505ce7da61e391d18f2973695394b89f5e4581f1c9e6588a6783a6fefa7adfaf7c67 SHA512 9266065352ae797bd5b8a2c71681b15599347ca38a519a21e84b42a0e8bb102c0937a02cbd6027c736ac0bdd7a6bc67fea664ecce5698032b4fef1ef0ec92c65

diff --git a/net-misc/ytfzf/ytfzf-2.6.1.ebuild b/net-misc/ytfzf/ytfzf-2.6.1.ebuild
new file mode 100644
index 000000000000..805a4b1030fa
--- /dev/null
+++ b/net-misc/ytfzf/ytfzf-2.6.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature
+
+DESCRIPTION="Posix script to find and watch youtube videos from the terminal"
+HOMEPAGE="https://github.com/pystardust/ytfzf/"
+SRC_URI="https://github.com/pystardust/ytfzf/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="minimal +thumbnails"
+
+RDEPEND="
+	app-misc/jq
+	net-misc/curl[ssl]
+	app-alternatives/awk
+	!minimal? (
+		app-shells/fzf
+		media-video/mpv[lua]
+		net-misc/yt-dlp
+		thumbnails? (
+			|| (
+				media-gfx/ueberzugpp
+				media-gfx/ueberzug
+			)
+		)
+	)
+"
+
+src_compile() { :; }
+
+src_install() {
+	local emakeargs=(
+		DESTDIR="${D}"
+		PREFIX="${EPREFIX}"/usr
+		DOCDIR="${EPREFIX}"/usr/share/doc/${PF}
+	)
+
+	emake "${emakeargs[@]}" addons doc install
+	einstalldocs
+
+	rm -r "${ED}"/usr/share/licenses || die
+}
+
+pkg_postinst() {
+	optfeature "external menu support" x11-misc/dmenu
+	optfeature "desktop notifications" x11-libs/libnotify
+
+	if [[ ! ${REPLACING_VERSIONS} ]]; then
+		elog "Note that ${PN} supports many methods to display menus/thumbnails."
+		elog "This ebuild primarily covers defaults and major features, additional"
+		elog "dependencies may be needed for others. Set USE=minimal if want full"
+		elog "control over optional dependencies (e.g. fzf is optional if use dmenu)."
+	fi
+}


             reply	other threads:[~2023-09-12 18:25 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-12 18:25 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-22  6:16 [gentoo-commits] repo/gentoo:master commit in: net-misc/ytfzf/ Ionen Wolkens
2024-02-21  2:29 Sam James
2024-01-31 16:42 Ionen Wolkens
2023-10-10 20:20 Ionen Wolkens
2023-09-29 10:42 Ionen Wolkens
2023-07-14 21:32 Ionen Wolkens
2023-06-08 12:45 Arthur Zamarin
2023-05-12  9:02 Ionen Wolkens
2023-03-28  7:41 Ionen Wolkens
2023-03-25  3:19 Ionen Wolkens
2023-03-01 16:02 Ionen Wolkens
2023-01-16  5:31 Ionen Wolkens
2022-12-21  5:57 Ionen Wolkens
2022-12-20 15:00 Ionen Wolkens
2022-12-08 20:12 Ionen Wolkens
2022-11-01 20:39 Ionen Wolkens
2022-09-17  8:42 Ionen Wolkens
2022-08-11  7:37 Ionen Wolkens
2022-08-06 14:19 Ionen Wolkens
2022-07-15 15:11 Ionen Wolkens
2022-07-03  5:33 Ionen Wolkens
2022-06-29  4:18 Ionen Wolkens
2022-04-29 11:23 Ionen Wolkens
2022-04-15 20:44 Ionen Wolkens
2022-03-02 10:07 Ionen Wolkens
2022-02-23  3:02 Ionen Wolkens
2022-01-26  1:09 Ionen Wolkens
2022-01-21 14:26 Ionen Wolkens
2022-01-13  8:06 Ionen Wolkens
2021-12-30  0:17 Ionen Wolkens
2021-12-21 17:15 Ionen Wolkens

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1694543107.1ba10d93746ee934fc5bd0a5089e87d897d77eee.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox